import { jsx } from "react/jsx-runtime";
import { TokenUMA as TokenUMA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenUMA = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "UMA", "data-name": "TokenUMA", ...props, children: /* @__PURE__ */ jsx(TokenUMA$1, { variant }) });
  }
);
TokenUMA.displayName = "TokenUMA";
Object.assign(TokenUMA, { isGdsIcon: true });
export {
  TokenUMA
};
